GRAPH1D_ORTHOGONAL_SHOW_BOXED_TRACE(3)

EXPERIMENTAL_FUNC
graph1d_orthogonal_show_boxed_trace - Show a boxed trace.

SYNOPSIS
#include <karma_graph1d.h>

void graph1d_orthogonal_show_boxed_trace

(KOrthogonalProfile profile, CONST unsigned int *dim_indices, flag sum, CONST uaddr *start_indices, CONST uaddr *stop_indices, uaddr refpos)

DESCRIPTION
Show a boxed trace.

profile
    The orthogonal profile.

dim_indices
    The dimension indicies. The length of this array must be one less than the number of dimensions in the array.

sum If TRUE the traces are summed, else they are averaged.

start_indices
    The starting co-ordinate indices of the box. The length of this array must be one less than the number of dimensions in the array.

stop_indices
    The stopping co-ordinate indices of the box. The length of this array must be one less than the number of dimensions in the array.

refpos
    The reference position along the profile dimension.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
This function will attempt to correct for chromatic aberration.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/